Package org.eclipse.emf.cdo.lm.client

# Class LMImporter.ImportElement.ImportLeaf<CONTENTS>

java.lang.Object
org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement
org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement.ImportLeaf<CONTENTS>

All Implemented Interfaces:
  `Consumer<Consumer<LMImporter.ImportElement>>`

Direct Known Subclasses:
  `LMImporter.ImportElement.ImportBinary`, `LMImporter.ImportElement.ImportResource`, `LMImporter.ImportElement.ImportText`

Enclosing class:
  LMImporter.ImportElement

public abstract static class LMImporter.ImportElement.ImportLeaf<CONTENTS> extends LMImporter.ImportElement

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement

`LMImporter.ImportElement.ImportBinary, LMImporter.ImportElement.ImportFolder, LMImporter.ImportElement.ImportLeaf<CONTENTS>, LMImporter.ImportElement.ImportResource, LMImporter.ImportElement.ImportText, LMImporter.ImportElement.StringContentsModifier, LMImporter.ImportElement.Type`

## Method Summary

Modifier and Type
Method
Description
`UnaryOperator<CONTENTS>`
`getContentsModifier()`
`String`
`getCopyPath()`
`boolean`
`isFolder()`
`LMImporter.ImportElement.ImportLeaf<CONTENTS>`
`setContentsModifier(UnaryOperator<CONTENTS> contentsModifier)`
`LMImporter.ImportElement.ImportLeaf<CONTENTS>`
`setCopyPath(String copyPath)`

### Methods inherited from class org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement

`accept, getModule, getName, getParent, getPath, getSegments, getType, getURI, isLeaf, isRoot, requireValidName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Method Details

### isFolder

public boolean isFolder()

Specified by:
  `isFolder` in class `LMImporter.ImportElement`

### getContentsModifier

public UnaryOperator<CONTENTS> getContentsModifier()

### setContentsModifier

public LMImporter.ImportElement.ImportLeaf<CONTENTS> setContentsModifier(UnaryOperator<CONTENTS> contentsModifier)

### getCopyPath

public String getCopyPath()

### setCopyPath

public LMImporter.ImportElement.ImportLeaf<CONTENTS> setCopyPath(String copyPath)